Bug Hunting Session
Bug 67944 - UI TAB does not bring focus to list with Paths in dialog Options
Summary: UI TAB does not bring focus to list with Paths in dialog Options
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-08-09 09:34 UTC by Cor Nouws
Modified: 2013-08-13 07:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2013-08-09 09:34:09 UTC
Options dialog:
When in the left list LibreOffice >Paths is selected, there is no way to give the actual list the focus (expected is TAB)

(Changed somewhere in the recent versions. Exact version is not relevant in this case, to solve the problem.)
Comment 1 Cor Nouws 2013-08-09 09:36:07 UTC
@Caolan: could you pls have a look? 

thanks! Cor
Comment 2 Commit Notification 2013-08-12 10:30:48 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae035a32737a77be75c9d017f7f5a90a05048e06

Resolves: fdo#67944 set dialogcontrol bit to tab into simpletable



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2013-08-12 10:56:36 UTC
fixed in master, proposed for 4-1 in gerrit
Comment 4 Commit Notification 2013-08-13 07:48:20 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6111122c7e764241300e678a6f92ac862df08a61&h=libreoffice-4-1

Resolves: fdo#67944 set dialogcontrol bit to tab into simpletable


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.